Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,780,552 Members 47,863 Now Online
XDA Developers Android and Mobile Development Forum

[ParanoidAndroid 3.99] [Q/A] - DISCUSSION THREAD

Tip us?
 
AntaresOne
Old
(Last edited by AntaresOne; 17th January 2014 at 11:39 PM.)
#1  
AntaresOne's Avatar
Senior Member - OP
Thanks Meter 1,652
Posts: 685
Join Date: Sep 2013
Location: Somewhere in Andromeda Galaxy

 
DONATE TO ME
Default [ParanoidAndroid 3.99] [Q/A] - DISCUSSION THREAD





Q&A Thread


This thread is a place where you can talk about everything of this ROM: Q&A, bugs, problems, fixes... I created this thread late, but is never too late from this moment please make development thread cleaner.

Development thread: [ROM] ParanoidAndroid 3.99 RC2
Samsung Galaxy S Advance:
AOSPA 3.99
MoKee OS 4.3.1
MoKee OS 4.4.4
OmniROM 4.4.4

Task Manager for CM-based ROMS
Install/Restore 4.1/4.2 ROMs without flashing stock

Samsung Galaxy Ace II:
MoKee OS 4.4.2
OmniROM 4.4.4

Samsung Galaxy S4:
MultiROM v28

If you like my work and want to support me, you can consider to offer me a beer, a coffee or whatever you want, just click here
The Following 4 Users Say Thank You to AntaresOne For This Useful Post: [ Click to Expand ]
 
AntaresOne
Old
(Last edited by AntaresOne; 19th January 2014 at 06:48 PM.)
#2  
AntaresOne's Avatar
Senior Member - OP
Thanks Meter 1,652
Posts: 685
Join Date: Sep 2013
Location: Somewhere in Andromeda Galaxy

 
DONATE TO ME
Common Questions
Quote:
Q: I'm on Gingerbread, how can I install this ROM?
A: First update to official Jelly Bean, then install as every custom ROM.

Q: How can I update this ROM?
A: Just download updated build and flash it. No need to wipe anything.

Q: I have GT-I9070P. Three questions for you:
  • Why my Mobile Network (called "RIL") is not working?
  • How can I make "I9070P" visible into device infos?
  • If I make a nandroid backup of stock ROM before install this, later when I try to restore it I get an error. Why and how I can solve this?

A: Simple
  • I9070 and I9070P are almost identical, except for NFC and RIL. You have to change tee folder under /system/lib of flashable zip to make RIL working.
  • I made a flashable zip containing tee folder for I9070P and a modded build.prop that shows I9070P instead of I9070. Just flash it.
  • Almost all custom ROMS are for I9070, when you make nandroid backup of stock ROM, recovery mode recognizes that the backup is of an I9070P. When you install these CM-based ROMS, your device is recognized as I9070. Just flash my flashable zip to make restore working.
You can find flashable zip here. Remember that if you install latest build or update to it, flash latest device-specific zip too!


Q: I'm here again with my GT-I9070P. I want to restore my stock ROM but I'm on CM10.1/10.2/11 ROM. Can I use your flashable zip to enable restore from these ROMS too?
A: Yes, you can. Just flash it, reboot recovery and restore your backup.

Q: On GT-I9070P, if I make a backup of your ROM to try another ROM, how can I restore if my device is recognized as I9070?
A: Just read the answer on top of this question.

Q: I have GT-I9070P. Why NFC doesn't work on CM-based ROMS?
A: NFC doesn't work because there are built on GT-I9070 source code that doesn't have NFC.

Q: If I change some libraries, can I make NFC working on GT-I9070P with these ROMS?
A: Impossible. NFC driver is a part of kernel.

Q: How can I add new tiles into Quick Settings panel?
A: Go to Settings>Toolbars>Quick Settings panel>Tiles and layouts>Add to add new tiles.

Q: Why there is no Torch app included into this ROM?
A: Torch app is not a part of ParanoidAndroid ROM. If I add it into builds is not Open Source because I'm using a prebuilt component from another ROM.

Q: I downloaded a Torch app from Play Store, but Torch tile into Quick Settings panel is not working. Why?
A: Tile is not working because is linked to CyanogenMod's Torch app. You can make it working using this flashable zip that installs CM Torch.

Q: I use BlackBerry Messaging app, why when I receive a notification its sound isn't played or device reboots?
A: BBM app doesn't fully work with CM-based ROMS.
Samsung Galaxy S Advance:
AOSPA 3.99
MoKee OS 4.3.1
MoKee OS 4.4.4
OmniROM 4.4.4

Task Manager for CM-based ROMS
Install/Restore 4.1/4.2 ROMs without flashing stock

Samsung Galaxy Ace II:
MoKee OS 4.4.2
OmniROM 4.4.4

Samsung Galaxy S4:
MultiROM v28

If you like my work and want to support me, you can consider to offer me a beer, a coffee or whatever you want, just click here
The Following 4 Users Say Thank You to AntaresOne For This Useful Post: [ Click to Expand ]
 
error404
Old
#3  
error404's Avatar
Senior Member
Thanks Meter 829
Posts: 474
Join Date: Jan 2011

 
DONATE TO ME
Already have halo and pie?
 
MikiGry
Old
#4  
MikiGry's Avatar
Senior Member
Thanks Meter 61
Posts: 480
Join Date: Oct 2013
Quote:
Originally Posted by yudroid View Post
Already have halo and pie?
Look on the screen shots.
Yes , PIE and HALO are in this rom and both of than are working.

Sent from my GT-I9070P using xda app-developers app
The Following User Says Thank You to MikiGry For This Useful Post: [ Click to Expand ]
 
tietto12719
Old
#5  
tietto12719's Avatar
Member
Thanks Meter 18
Posts: 73
Join Date: Sep 2013
Problem

Screenshot not work in the last release
 
MikiGry
Old
(Last edited by MikiGry; 18th January 2014 at 07:32 PM.)
#6  
MikiGry's Avatar
Senior Member
Thanks Meter 61
Posts: 480
Join Date: Oct 2013
Which one tee folder and build prop for I9070P file should i download ?
That 20130113 or 20130117 ?

Sent from my GT-I9070P using xda app-developers app
Attached Thumbnails
Click image for larger version

Name:	uploadfromtaptalk1390072937040.jpg
Views:	65
Size:	13.1 KB
ID:	2524436  
 
MikiGry
Old
#7  
MikiGry's Avatar
Senior Member
Thanks Meter 61
Posts: 480
Join Date: Oct 2013
Can i use this tee and build prop file for another ROMs like ChuckyBeam ?

Sent from my GT-I9070P using xda app-developers app
 
AntaresOne
Old
(Last edited by AntaresOne; 19th January 2014 at 01:57 AM.)
#8  
AntaresOne's Avatar
Senior Member - OP
Thanks Meter 1,652
Posts: 685
Join Date: Sep 2013
Location: Somewhere in Andromeda Galaxy

 
DONATE TO ME
Quote:
Originally Posted by tietto12719 View Post
Problem

Screenshot not work in the last release
What error do you have?



Quote:
Originally Posted by MikiGry View Post
Which one tee folder and build prop for I9070P file should i download ?
That 20130113 or 20130117 ?
If you install 20130113 build install 20130113 device-specific, the same for 20130117. If you update the ROM, for example from 20130113 to 20130117 install device-specific zip of the same day too

Quote:
Originally Posted by MikiGry View Post
Can i use this tee and build prop file for another ROMs like ChuckyBeam ?
Only if you want to make restore of another ROM working on recovery, but you can't change another ROM's build.prop and boot it. If you want flashable tee only just download it from my Dev-Host account. It's available under "Misc" category.

Inviato dal mio GT-I9070
Samsung Galaxy S Advance:
AOSPA 3.99
MoKee OS 4.3.1
MoKee OS 4.4.4
OmniROM 4.4.4

Task Manager for CM-based ROMS
Install/Restore 4.1/4.2 ROMs without flashing stock

Samsung Galaxy Ace II:
MoKee OS 4.4.2
OmniROM 4.4.4

Samsung Galaxy S4:
MultiROM v28

If you like my work and want to support me, you can consider to offer me a beer, a coffee or whatever you want, just click here
 
d@rkl0rd
Old
#9  
Senior Member
Thanks Meter 39
Posts: 121
Join Date: Oct 2013
Location: Kuala Lumpur
I tried to dual boot this rom with the dual boot method made by BOOTMGR, but whenever i tried to flash the rom, it gve me status 7 error. I'm sure that my download file is not corrupted and it can be flash normally, but it cant be flash for dual booting, it gave status 7 error. Anyone knows why?
 
shut_down
Old
#10  
shut_down's Avatar
Senior Member
Thanks Meter 3,326
Posts: 7,413
Join Date: Sep 2010
Location: Belgrade
Quote:
Originally Posted by d@rkl0rd View Post
I tried to dual boot this rom with the dual boot method made by BOOTMGR, but whenever i tried to flash the rom, it gve me status 7 error. I'm sure that my download file is not corrupted and it can be flash normally, but it cant be flash for dual booting, it gave status 7 error. Anyone knows why?
http://bit.ly/1ah5Nd4


That other partition does not have build.prop - and it is needed to read phone model in updater script.

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes